VRPlatformVRPlatform
Teams

/teams/migrate-vri-to-vrt/statements

Import historical VRI statements into an existing migrated GL-enabled team

POST
/teams/migrate-vri-to-vrt/statements
X-API-Key<token>

API key provided in dashboard

In: header

Request Body

application/json

sourceTenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
targetTenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
accountMappings?

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrplatform.app/teams/migrate-vri-to-vrt/statements" \  -H "Content-Type: application/json" \  -d '{    "sourceTenantId": "df06c790-c478-42f2-a77e-ec718244a835",    "targetTenantId": "b5c0f878-8de5-43a8-9239-4b9bf35ed86d"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "defaultCurrency": "string",
  "longTermStayNights": 0,
  "defaultRevenueRecognition": "checkIn",
  "migratedFromTenantId": "cc45f885-c973-4e0e-8e0d-b63cf61a5091",
  "historicalStatementsImportedAt": "string",
  "name": "string",
  "statementAddress": {
    "full": "string",
    "line1": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "postalCode": "string",
    "stateCode": "string",
    "countryCode": "string"
  },
  "billingAddress": {
    "full": "string",
    "line1": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "postalCode": "string",
    "stateCode": "string",
    "countryCode": "string"
  },
  "phone": "string",
  "email": "string",
  "taxId": "string",
  "partner": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "billingPartner": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "companyName": "string",
  "type": "partner",
  "status": "active",
  "billingSubscriptionStatus": "string",
  "billingPlan": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "trialUntil": "string",
  "cancelledAt": "string",
  "isOnboarding": true,
  "issues": [
    {
      "code": "unassignedAccount",
      "severity": "error",
      "context": {
        "accountIds": [
          "string"
        ]
      }
    }
  ],
  "isGeneralLedger": true,
  "isOpex": true,
  "booksClosedAt": "string",
  "logo": "string",
  "statementStartAt": "string",
  "effectiveStatementStartAt": "string",
  "ownerPortalShowDraftStatements": true,
  "members": [
    {
      "userId": "string",
      "email": "string",
      "role": "string",
      "name": "string",
      "firstName": "string"
    }
  ],
  "extractableConnections": {
    "property1": {
      "connections": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "appId": "string",
          "urlExample": "string",
          "allowConfirmationCode": true
        }
      ]
    },
    "property2": {
      "connections": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "appId": "string",
          "urlExample": "string",
          "allowConfirmationCode": true
        }
      ]
    }
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}